#
# spec file for package nxtvepg (Version 0.5.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl tcl-devel tk xdevel xf86 xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tk unzip util-linux vim xdevel xf86 xshared

Name:         nxtvepg
%define       prefix /usr
Copyright:    Thorsten Zoerner <tomzo@nefkom.net>
Group:        Applications/Multimedia
Autoreqprov:  on
Version:      0.5.2
Release:      54
Summary:      Nextview EPG decoder and browser
Source:       %{name}-%{version}.tar.bz2
Patch0:       %{name}-path.diff
Patch1:       %{name}-fix.diff
Buildroot:    /var/tmp/root-%{name}-%{version}

%description
In this software package you find a decoder for Nextview - an Electronic
TV Programme Guide for the analog domain (as opposed to the various digital
EPGs that come with most digital broadcasts). It allows you to decode and
browse TV programme listings for most of the major networks in Germany,
Austria, France and Switzerland.
Currently Nextview EPG is transmitted by:
- in Germany and Austria: Pro7, 3Sat, RTL-II.
- in Switzerland: EuroNews, SF1, TSR1.
- in France: Canal+, M6, TV5.
- in Turkey: TRT (as of June/2001 still a test transmission)

Authors:
--------
    Thorsten Zoerner <tomzo@nefkom.net>

SuSE series: xap

%prep
%setup -q
%patch0 -p1 -b .make
%patch1 -p1 -b .fix

%build
%{?suse_update_config -ft}
make

%install
make IROOT=%{buildroot}/usr install
gzip %{buildroot}/usr/share/man/man*/*
find %{buildroot} -type f -print	\
	| sed -e 's|%{buildroot}||'	\
	| grep -v '^%{_docdir}'		\
	> rpmfiles

%files -f rpmfiles
%defattr(-,root,root)

%clean
if test "%{buildroot}" != ""; then
	rm -rf "%{buildroot}"
fi

%changelog -n nxtvepg
* Fri Jul 20 2001 - kraxel@suse.de
- first release.
